%define		pkgname	propel
%define		php_min_version 5.2.8-3
Summary:	Object persistence and query service for PHP5
Summary(pl.UTF-8):	Usługa przechowywania i odpytywania obiektów dla PHP5
Name:		php-%{pkgname}
Version:	1.4.2
Release:	10
License:	LGPL v3
Group:		Development/Languages/PHP
Source0:	http://files.propelorm.org/%{pkgname}-%{version}.tar.gz
# Source0-md5:	37d0c260bac544d59308e40d4b67026c
Patch0:		phing-classpath.patch
Patch1:		mysql-type-deprecation.patch
URL:		http://trac.propelorm.org/wiki/Documentation/1.4
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(pcre)
Requires:	php(pdo)
Requires:	php(spl)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Propel is an object persistence (object relational mapping) tool for
PHP5 based on Apache Torque. Propel generates PHP classes and SQL
definition files for your data model and provides a runtime
environment that transparently handles database operations.

%description -l pl.UTF-8
Propel to narzędzie do przechowywania obiektów (odwzorowań
obiektowo-relacyjnych) dla PHP5 oparty na Apache Torque. Propel
generuje klasy PHP i pliki definicji SQL dla danego modelu danych oraz
zapewnia środowisko uruchomieniowe obsługujące w sposób przezroczysty
operacje na bazie danych.

%package -n propel-gen
Summary:	propel-gen - DDL files generator
Summary(pl.UTF-8):	propel-gen - generator plików DDL
Group:		Development/Languages/PHP
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php(dom)
Requires:	php(pcre)
Requires:	php(simplexml)
Requires:	php(tokenizer)
Requires:	php(xsl)
Requires:	php-phing >= 2.3.3

%description -n propel-gen
A generator that creates SQL definition files (DDL).

%description -n propel-gen -l pl.UTF-8
Generator tworzący pliki definicji SQL (DDL).

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1
cat <<'EOF'> generator/pear/pear-propel-gen.sh
#!/bin/sh
exec phing -f %{php_data_dir}/data/propel_generator/pear-build.xml -Dproject.dir=$*
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_data_dir}/propel,%{_bindir}}
cp -a runtime/classes/propel/* $RPM_BUILD_ROOT%{php_data_dir}/propel

cp -a generator/classes/propel/engine $RPM_BUILD_ROOT%{php_data_dir}/propel
cp -a generator/classes/propel/phing $RPM_BUILD_ROOT%{php_data_dir}/propel
install -p generator/pear/pear-propel-gen.sh $RPM_BUILD_ROOT%{_bindir}/propel-gen
install -d $RPM_BUILD_ROOT%{php_data_dir}/data/propel_generator
cp -a generator/{resources,build-propel.xml,*.properties} $RPM_BUILD_ROOT%{php_data_dir}/data/propel_generator
cp -a generator/pear/{pear-build.xml,*.properties} $RPM_BUILD_ROOT%{php_data_dir}/data/propel_generator

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc WHATS_NEW CHANGELOG
%dir %{php_data_dir}/propel
%{php_data_dir}/propel/Propel.php
%{php_data_dir}/propel/PropelException.php
%{php_data_dir}/propel/adapter
%{php_data_dir}/propel/logger
%{php_data_dir}/propel/map
%{php_data_dir}/propel/om
%{php_data_dir}/propel/util
%{php_data_dir}/propel/validator

%files -n propel-gen
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/propel-gen
%{php_data_dir}/propel/engine
%{php_data_dir}/propel/phing

# XXX temp fix:
%dir %{php_data_dir}/data
%dir %{php_data_dir}/data/propel_generator
%{php_data_dir}/data/propel_generator/resources
%{php_data_dir}/data/propel_generator/build-propel.xml
%{php_data_dir}/data/propel_generator/build.properties
%{php_data_dir}/data/propel_generator/default.properties
%{php_data_dir}/data/propel_generator/pear-build.xml
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-propel.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> f5c1f2e
- use virtual php deps
- release 10 (by relup.sh)

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> c57aa36
- use php(core) as dependency to require php version
- release 8 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> da7949e
- use virtual php extension deps (to be independant of php version)
- release 8 (by relup.sh)

* Mon Oct 03 2011 Elan Ruusamäe <glen@pld-linux.org> a9d4f13
- add URL specific to 1.4 version

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 151b13a
- package doc, more precise deps

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> a97e39e
- propel 1.4 uses pdo not creole

* Sat Oct 01 2011 Elan Ruusamäe <glen@pld-linux.org> 5ebb943
- 1.4 license is LGPL v3

* Thu May 05 2011 Elan Ruusamäe <glen@pld-linux.org> b03c70c
- Type=ENGINENAME is removed in mysql 5.5, deprecated a bit earlier

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> c940c55
- dir fix

* Tue Jan 04 2011 Elan Ruusamäe <glen@pld-linux.org> 3dcb061
- fix locating of phing classes inside generator; rel 3

* Tue Jan 04 2011 Elan Ruusamäe <glen@pld-linux.org> 7ca1e56
- fix path to pear-build.xml; rel 2

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> 22a452b
- up to 1.4.2

* Fri Oct 29 2010 Elan Ruusamäe <glen@pld-linux.org> c5a0b70
- new domain, switch to one tarball build

* Wed Mar 10 2010 Elan Ruusamäe <glen@pld-linux.org> e744d20
- update to 1.4.1

* Tue Feb 10 2009 Elan Ruusamäe <glen@pld-linux.org> 8670cb1
- release 1

* Thu Dec 11 2008 Jakub Bogusz <qboosh@pld-linux.org> be92792
- pl for propel-gen

* Tue Dec 09 2008 Elan Ruusamäe <glen@pld-linux.org> 9325289
- update to final 1.3.0, add propel-gen package

* Sat Apr 05 2008 arvenil <arvenil@pld-linux.org> 26f29e0
- up to 1.3.0beta4 (thanks to Wojciech Błaszkowski <wojciech@blaszkowski.com>)

* Fri Dec 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e852b05
- 1.3.0 beta3

* Wed Oct 03 2007 Paweł Gołaszewski <blues@pld-linux.org> 9f6ce20
- typo!

